using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Pecina
{
    internal class Program
    {
        static void Main(string[] args)
        {
            string[] Line1 = Console.ReadLine().Split(' ');
            string[] Line2 = Console.ReadLine().Split(' ');

            int N = int.Parse(Line1[0]);
            int L = int.Parse(Line1[1]);

            int[] a = new int[N];
            for(int i = 0; i < N; i++)
            {
                a[i] = int.Parse(Line2[i]);
            }

            Console.WriteLine(Resenje(N, a, L));
        }

        static int Resenje(int N, int[] a, int L)
        {
            for(int i = 0;i < N; i++)
            {
                if (a[i] <= L) return i + 1;
            }
            return -1;
        }
    }
}